fsarchiver_0.8.5-2_i386.deb


Advertisement

Description

fsarchiver - file system archiver

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename fsarchiver_0.8.5-2_i386.deb
Package name fsarchiver
Package version 0.8.5
Package release 2
Package architecture i386
Package type deb
Category admin admin::backup admin::recovery implemented-in::c interface::commandline role::program scope::utility use::storing works-with::archive
Homepage http://www.fsarchiver.org/
License -
Maintainer Michael Biebl <biebl@debian.org>
Download size 106.84 KB
Installed size 305.00 KB
FSArchiver is a system tool that allows you to save the contents of a
file system to a compressed archive file. The file system can be restored
on a partition which has a different size and it can be restored on a
different file system.
Unlike tar/dar, FSArchiver also creates the file system when it extracts
the data to partitions.
Everything is checksummed in the archive in order to protect the data. If
the archive is corrupt, you just lose the current file, not the whole archive.

Alternatives

Package Version Architecture Repository
fsarchiver_0.8.5-2_amd64.deb 0.8.5 amd64 Debian Main
fsarchiver - - -

Requires

Name Value
libblkid1 >= 2.16
libbz2-1.0 -
libc6 >= 2.4
libcom-err2 >= 1.01
libext2fs2 >= 1.37
libgcrypt20 >= 1.8.0
libgpg-error0 >= 1.14
liblz4-1 >= 0.0~r130
liblzma5 >= 5.1.1alpha+20120614
liblzo2-2 -
libuuid1 >= 2.16
libzstd1 >= 1.3.2
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package fsarchiver_0.8.5-2_i386.deb
Source Package fsarchiver

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install fsarchiver deb package:
    # sudo apt-get install fsarchiver

Files

Path
/usr/sbin/fsarchiver
/usr/share/doc/fsarchiver/README
/usr/share/doc/fsarchiver/changelog.Debian.gz
/usr/share/doc/fsarchiver/changelog.gz
/usr/share/doc/fsarchiver/copyright
/usr/share/man/man8/fsarchiver.8.gz

Changelog

2018-07-13 - Michael Biebl <biebl@debian.org>
fsarchiver (0.8.5-2) unstable; urgency=medium
* autopkgtest: Run xfs and ext4 test in the same testbed
* autopkgtest: Add isolation-machine restriction to ext4 and xfs test.
They require a loopback device which is not available in e.g. a LXC
container.
* autopkgtest: Add new backup-and-restore-directory.sh test.
This tests the backup and restore of a directory (savedir/restdir) and
checks if hard links, soft links, file system ACLs and extended
attributes are correctly restored.
2018-07-11 - Michael Biebl <biebl@debian.org>
fsarchiver (0.8.5-1) unstable; urgency=medium
* New upstream version 0.8.5
* Bump Standards-Version to 4.1.5
* Add autopkgtest which tests backup and restore of an ext4 and xfs file
system
2018-02-20 - Michael Biebl <biebl@debian.org>
fsarchiver (0.8.4-1) unstable; urgency=medium
* New upstream version 0.8.4
* Add Build-Depends on libzstd-dev to enable support for zstd compression
* Add Recommends on e2fsprogs.
There are efforts to make e2fsprogs non-essential. By making e2fsprogs a
Recommends instead of only a Suggests, it should automatically be
installed on upgrades. (Closes: #887249)
2018-01-14 - Michael Biebl <biebl@debian.org>
fsarchiver (0.8.3-3) unstable; urgency=medium
* Set Rules-Requires-Root to no
* Update Vcs-* to point to salsa.debian.org (gitlab)
* Bump Standards-Version to 4.1.3
2017-12-23 - Michael Biebl <biebl@debian.org>
fsarchiver (0.8.3-2) unstable; urgency=medium
* Add Build-Depends on liblz4-dev.
This ensures that support for LZ4 compression is properly enabled.
2017-12-22 - Michael Biebl <biebl@debian.org>
fsarchiver (0.8.3-1) unstable; urgency=medium
[ Nicholas D Steeves ]
* Change Suggests: btrfs-tools to btrfs-progs (Closes: #878918)
[ Michael Biebl ]
* New upstream version 0.8.3
* Bump Standards-Version to 4.1.2
* Bump debhelper compat level to 11
2017-08-28 - Michael Biebl <biebl@debian.org>
fsarchiver (0.8.2-1) unstable; urgency=medium
* New upstream version 0.8.2
* Bump Standards-Version to 4.1.0
2017-01-13 - Michael Biebl <biebl@debian.org>
fsarchiver (0.8.1-1) unstable; urgency=medium
* New upstream release.
* Bump debhelper compat level to 10
2016-08-09 - Michael Biebl <biebl@debian.org>
fsarchiver (0.8.0-1) unstable; urgency=medium
* New upstream release.
2016-06-18 - Michael Biebl <biebl@debian.org>
fsarchiver (0.6.23-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 3.9.8. No further changes.
* Use canonical URLs for Vcs-* fields, switch to https and cgit.

See Also

Package Description
fscrypt_0.2.4-2+b10_i386.deb Tool for managing Linux filesystem encryption
fslint_2.46-1_all.deb Utility collection to find and fix common errors in file storage
fsmark_3.3-3_i386.deb benchmark for simulating synchronous write workloads
fspanel_0.7-14_i386.deb minimalist panel for X
fsprotect_1.0.7_all.deb Helper scripts to make filesystems immutable
fspy_0.1.1-2_i386.deb filesystem activity monitoring tool
fssync_1.6-1_all.deb File system synchronization tool (1-way, over SSH)
fstl_0.9.3-1_i386.deb Viewer for .stl files
fstransform_0.9.3-4_i386.deb Tool for in-place filesystem conversion
fstrcmp-doc_0.7.D001-1.1_all.deb fuzzy string compare library - documentation
fstrcmp_0.7.D001-1.1+b2_i386.deb fuzzy comparison of strings
fstrm-bin_0.4.0-1_i386.deb Frame Streams (fstrm) library (utilities)
fsviewer-icons_1.0-7_all.deb icons for fsviewer to make it look more like the NeXT FileViewer
fsvs_1.2.7-1+b2_i386.deb Full system versioning with metadata support
fswatch_1.14.0+repack-8_i386.deb file change monitor based on inotify
Advertisement
Advertisement